create sequence ff start with 1 increment by 25;
create sequence hibernate_sequence start with 1 increment by 1;
create sequence seq1 start with 10 increment by 30;
create sequence seq2 start with 1000 increment by 50;

    create table BEES (
       WealthyPerson_ssn varchar(255) not null,
        city varchar(255) default 'Aachen',
        state varchar(255),
        street varchar(255),
        appendix varchar(255)
    );

    COMMENT ON TABLE BEES IS 'Table used for Bees';
    COMMENT ON COLUMN BEES.city IS 'City of the person';

    create table Book (
       title varchar(255),
       titlecolumn varchar(255),
        book_id bigint not null,
        primary key (book_id)
    );

    COMMENT ON TABLE Book IS 'This is a book!';

    create table Book2 (
       title2 varchar(255),
        id bigint not null,
        primary key (id)
    );

    create table BOOK_TOPCLASS (
       TOPCLASSID varchar(255) not null,
        BOOKID bigint not null
    );

    create table CIB_ARCHIVE (
       archiveId varchar(255) not null,
        caseId varchar(60),
        checksum varchar(255),
        controlEvent varchar(50),
        createDate timestamp,
        createUser varchar(50),
        executionStatus varchar(50),
        remark varchar(255),
        xxTenant varchar(255),
        version integer not null,
        primary key (archiveId)
    );

    create table CIB_CONTROLLABLE (
       controllableId varchar(255) not null,
        actuator varchar(100),
        caseId varchar(60),
        controlEvent varchar(50),
        createAddress varchar(255),
        createDate timestamp,
        createRemark varchar(255),
        createUser varchar(50),
        executionDate timestamp,
        executionStatus varchar(50),
        FIRSTAPPROVADDR varchar(255),
        firstApprovalDate timestamp,
        FIRSTAPPROVREMARK varchar(255),
        FIRSTAPPROVUSER varchar(50),
        releaseAddress varchar(255),
        releaseDate timestamp,
        releaseRemark varchar(255),
        releaseUser varchar(50),
        scheduledDate timestamp,
        tenant varchar(255),
        version integer not null,
        RESOURCEID varchar(255),
        primary key (controllableId)
    );

    create table CIB_EVENTRESULT (
       eventResultId varchar(255) not null,
        actuators varchar(255),
        caseId varchar(60),
        event varchar(50),
        executionStatus varchar(50),
        executionTime timestamp,
        RESOURC varchar(255),
        sensor varchar(50),
        setpoints varchar(255),
        TRACK_TENANT varchar(255),
        TRACK_USER varchar(50),
        PARENTRESULT_ID varchar(255),
        primary key (eventResultId)
    );

    create table CIB_HISTORY (
       historyId varchar(255) not null,
        caseId varchar(60),
        controlEvent varchar(50),
        createDate timestamp,
        createUser varchar(50),
        differences clob,
        executionStatus varchar(50),
        primaryKeyId varchar(50),
        remark varchar(255),
        target varchar(255),
        tenant varchar(255),
        version integer not null,
        primary key (historyId)
    );

    create table CIB_INVENTORYHISTORY (
       historyId varchar(255) not null,
        controlEvent varchar(50),
        createDate timestamp,
        createUser varchar(50),
        differences clob,
        executionStatus varchar(50),
        primaryKeyId varchar(50),
        remark varchar(255),
        target varchar(255),
        tenant varchar(255),
        version integer not null,
        primary key (historyId)
    );

    create table CIB_RESOURCE (
       RESOURCETYPE varchar(100) not null,
        resourceId varchar(255) not null,
        encrypted boolean not null,
        groupId varchar(255),
        keyReference varchar(255),
        result blob,
        target varchar(255),
        targetObject blob,
        uniqueId varchar(255),
        invokerClass varchar(255),
        invokerParam varchar(255),
        method varchar(255),
        primaryKeyId varchar(50),
        primary key (resourceId)
    );

    create table CIB_RESOURCEPARAMETER (
       parameterId varchar(255) not null,
        classname varchar(255),
        encodedValue blob,
        name varchar(255),
        parameterType varchar(50),
        sequence integer not null,
        stringValue varchar(255),
        RESOURCEID varchar(255),
        primary key (parameterId)
    );

    create table CUST_PHONES (
       CUST_ID varchar(255) not null,
        PHONE_ID varchar(255) not null
    );

    create table Dependent (
       name varchar(255) not null,
        emp_id bigint not null,
        primary key (emp_id, name)
    );

    create table DoubleIdEntity (
       id1 varchar(255) not null,
        id2 timestamp not null,
        primary key (id1, id2)
    );

    create table EmbeddedIdEntity (
       language varchar(255) not null,
        title varchar(255) not null,
        primary key (language, title)
    );

    create table Employee (
       empId integer not null,
        number integer not null,
        me_id varchar(255),
        popott varchar(255) not null,
        primary key (empId)
    );

    create table GEN_TABLE (
       HEINZ varchar(255) not null,
        VALUE_WILLI bigint,
        primary key (HEINZ)
    );

    insert into GEN_TABLE(HEINZ, VALUE_WILLI) values ('Erhard',15);

    create table GEN_TABLE1 (
       HEINZ1 varchar(255) not null,
        VALUE_WILLI1 bigint,
        primary key (HEINZ1)
    );

    insert into GEN_TABLE1(HEINZ1, VALUE_WILLI1) values ('Erhard1',15);

    create table HOMES (
       WealthyPerson_ssn varchar(255) not null,
        HOME_CITY varchar(255),
        HOME_STATE varchar(255),
        HOME_STREET varchar(255),
        appendix varchar(255)
    );

    create table JoinedSubClass (
       someValue varchar(255),
        id varchar(255) not null,
        primary key (id)
    );

    create table JoinedTopClass (
       id varchar(255) not null,
        father varchar(255),
        son varchar(255),
        NEW_INN bigint,
        primary key (id)
    );

    create table JoinedTopClass_CIB_RESOURCE (
       JoinedTopClass_id varchar(255) not null,
        resources_resourceId varchar(255) not null,
        primary key (JoinedTopClass_id, resources_resourceId)
    );

    create table Kaiser (
       DTYPE varchar(31) not null,
        kaiserId integer not null,
        crown varchar(255),
        date timestamp,
        kingCrown integer,
        born timestamp,
        childName varchar(255),
        primary key (kaiserId)
    );

    create table ManyToMany1 (
       id1 varchar(255) generated by default as identity,
        value integer not null,
        kuh2_id2 varchar(255),
        primary key (id1)
    );

    create table ManyToMany1_ManyToMany2 (
       ManyToMany1_id1 varchar(255) not null,
        schwein2_id2 varchar(255) not null,
        schwein2_ORDER integer not null,
        igel2_id2 varchar(255) not null,
        primary key (ManyToMany1_id1, schwein2_ORDER)
    );

    create table ManyToMany2 (
       id2 varchar(255) not null,
        value integer not null,
        kuh1_id1 varchar(255),
        schwein1_id1 varchar(255),
        primary key (id2)
    );

    create table ManyToMany2_ManyToMany1 (
       ManyToMany2_id2 varchar(255) not null,
        igel1_id1 varchar(255) not null
    );

    create table MapEntity (
       id varchar(255) not null,
        primary key (id)
    );

    create table MapEntity_donau (
       MapEntity_id varchar(255) not null,
        donau varchar(255),
        Donautalsperre integer not null,
        primary key (MapEntity_id, Donautalsperre)
    );

    create table MapEntity_Employee (
       MapEntity_id varchar(255) not null,
        mosel_empId integer not null,
        colorado_empId integer not null,
        colorado_KEY date not null,
        primary key (MapEntity_id, colorado_KEY)
    );

    create table MapEntity_isar (
       MapEntity_id varchar(255) not null,
        isar varchar(255),
        isar_KEY varchar(255) not null,
        primary key (MapEntity_id, isar_KEY)
    );

    create table MapEntity_oder (
       MapEntity_id varchar(255) not null,
        oder varchar(255),
        state varchar(255) not null,
        street varchar(255) not null,
        primary key (MapEntity_id, state, street)
    );

    create table MapEntity_rhein (
       MapEntity_id varchar(255) not null,
        rhein integer,
        rhein_KEY varchar(255) not null,
        primary key (MapEntity_id, rhein_KEY)
    );

    create table MapEntity_ruhr (
       MapEntity_id varchar(255) not null,
        ruhr varchar(255),
        ruhrpott varchar(255) not null,
        primary key (MapEntity_id, ruhrpott)
    );

    create table MapEntity_TopHorse (
       MapEntity_id varchar(255) not null,
        nil_horseId integer not null,
        primary key (MapEntity_id, nil_horseId)
    );

    create table MapEntity_WESER1 (
       weser_id varchar(255) not null,
        weserfluss integer,
        Wesertalsperre varchar(255) not null,
        primary key (weser_id, Wesertalsperre)
    );

    create table MultiTableEntity (
       id1 varchar(255) not null,
        id2 timestamp not null,
        primary key (id1, id2)
    );

    create table One_HundKatze (
       katze_id varchar(255),
        hund_id varchar(255) not null,
        primary key (hund_id)
    );

    create table OneToOne1 (
       id2xx varchar(255) not null,
        zahl integer not null,
        hai varchar(255) not null,
        nr2_id varchar(255),
        IndienTiger varchar(255),
        orderC integer,
        wolf_ORDER integer,
        primary key (id2xx)
    );

    create table OneToOne2 (
       id varchar(255) not null,
        theValue varchar(255),
        primary key (id)
    );

    create table PerClass1 (
       id bigint not null,
        controlEvent integer,
        daughter varchar(255),
        mother varchar(255),
        someValue varchar(255),
        primary key (id)
    );

    create table PerClass1b (
       id bigint not null,
        controlEvent integer,
        daughter varchar(255),
        mother varchar(255),
        someValue varchar(255),
        someValue1b varchar(255),
        primary key (id)
    );

    create table Person (
       DTYPE varchar(31) not null,
        ssn varchar(255) not null,
        city varchar(255),
        state varchar(255),
        street varchar(255),
        name varchar(255),
        money varchar(255),
        appendix varchar(255),
        primary key (ssn)
    );

    create table Person_children (
       Person_ssn varchar(255) not null,
        children varchar(255)
    );

    create table Person_nickNames (
       primKey varchar(255) not null,
        othername varchar(50)
    );

    create table Publication (
       id bigint not null,
        version integer not null,
        primary key (id)
    );

    create table second (
       value varchar(255),
        x_id1 varchar(255) not null,
        x_id2 timestamp not null,
        primary key (x_id1, x_id2)
    );

    create table Stall1 (
       s1Id integer not null,
        primary key (s1Id)
    );

    create table Stall2 (
       hahn_s1Id integer not null,
        primary key (hahn_s1Id)
    );

    create table SubMappedSuperClass (
       DTYPE varchar(31) not null,
        id varchar(255) not null,
        value integer not null,
        now timestamp,
        anotherString varchar(255),
        anotherString2 varchar(255),
        publication_id bigint,
        primary key (id)
    );

    create table SubMappedSuperClass3 (
       id varchar(255) not null,
        value integer not null,
        now timestamp,
        xanotherString varchar(255),
        PUBL_ID bigint,
        primary key (id)
    );

    create table SubMappedSuperClass4 (
       id integer not null,
        new_value integer,
        what varchar(255),
        diffType integer,
        new_mother varchar(255),
        xanotherString varchar(255),
        primary key (id)
    );

    create table SubMappedSuperClass4a (
       xanotherString varchar(255) not null,
        value integer not null,
        what varchar(255),
        id integer not null,
        primary key (xanotherString)
    );

    create table third (
       id1 varchar(255) not null,
        id2 timestamp not null,
        primary key (id1, id2)
    );

    create table TopClass (
       id bigint not null,
        controlEvent integer,
        daughter varchar(255),
        mother varchar(255),
        primary key (id)
    );

    create table TopHorse (
       DTYPE varchar(31) not null,
        horseId integer not null,
        value integer not null,
        what varchar(255),
        name varchar(255),
        size integer,
        primary key (horseId)
    );

    create table WP_SERVICECERTIFICATES (
       WP_ID varchar(255) not null,
        application varchar(255),
        publ_id bigint not null
    );

    alter table ManyToMany1_ManyToMany2 
       add constraint UK_evgkltymutd152fakhmflelxd unique (schwein2_id2);

    alter table MapEntity_Employee 
       add constraint UK_cgyat37fn3dghihk0wp5vfpmn unique (colorado_empId);

    alter table MapEntity_TopHorse 
       add constraint UK_8xhcah248wg2484rop8dqyddg unique (nil_horseId);

    alter table TopHorse 
       add constraint UK_2w6pbfbbwwj37i9jvktbypo3b unique (what);

    alter table WP_SERVICECERTIFICATES 
       add constraint UK_nw5fmcd5d1ki2tsy8epol6j6j unique (publ_id);

    alter table BEES 
       add constraint FKjwa9f3uutsrvt9jwu3fyn3vue 
       foreign key (WealthyPerson_ssn) 
       references Person;

    alter table Book 
       add constraint FKav5y1xrr7nb5upy82d66yrlor 
       foreign key (book_id) 
       references Publication;

    alter table Book2 
       add constraint FK8piu8syyfmmb89ebigo4sq543 
       foreign key (id) 
       references Publication;

    alter table BOOK_TOPCLASS 
       add constraint FK5k6udnt64rog8cd4dv4i7dq5s 
       foreign key (BOOKID) 
       references Book2;

    alter table BOOK_TOPCLASS 
       add constraint FKjjqo69haq374jdanr2w0pi0vi 
       foreign key (TOPCLASSID) 
       references JoinedTopClass;

    alter table CIB_CONTROLLABLE 
       add constraint FKii5jyevjbwobc0kndta1wxxf7 
       foreign key (RESOURCEID) 
       references CIB_RESOURCE;

    alter table CIB_EVENTRESULT 
       add constraint FKc6jpxkjwen5mpgk00r4did7ua 
       foreign key (PARENTRESULT_ID) 
       references CIB_EVENTRESULT;

    alter table CIB_RESOURCEPARAMETER 
       add constraint FKagqotjxruigeko6yecu4n2i5a 
       foreign key (RESOURCEID) 
       references CIB_RESOURCE;

    alter table CUST_PHONES 
       add constraint FKoppd1997al8dswlnjdpmwe81 
       foreign key (PHONE_ID) 
       references ManyToMany2;

    alter table CUST_PHONES 
       add constraint FKmnjsc1h9ltesu0p1wyiq0rkkb 
       foreign key (CUST_ID) 
       references ManyToMany1;

    alter table Dependent 
       add constraint FKtjavou4pdbq3sxdoihsku4pit 
       foreign key (emp_id) 
       references Publication;

    alter table Employee 
       add constraint FKkox5fxg6eywydob3l8ts6f2tn 
       foreign key (me_id) 
       references MapEntity;

    alter table HOMES 
       add constraint FKdlh4f5429wmbfl4j88dexks2r 
       foreign key (WealthyPerson_ssn) 
       references Person;

    alter table JoinedSubClass 
       add constraint FKq8a1dwkn4bqcex8cfrm9qtsgr 
       foreign key (id) 
       references JoinedTopClass;

    alter table JoinedTopClass 
       add constraint FKt0rgtvd9frfh09o7okhyqqbml 
       foreign key (NEW_INN) 
       references Book2;

    alter table JoinedTopClass_CIB_RESOURCE 
       add constraint FKnl4ggiphhscxycb78uei3sr26 
       foreign key (resources_resourceId) 
       references CIB_RESOURCE;

    alter table JoinedTopClass_CIB_RESOURCE 
       add constraint FKtpfncj2c34q369d6p4iskhoe2 
       foreign key (JoinedTopClass_id) 
       references JoinedTopClass;

    alter table ManyToMany1 
       add constraint FKo7wtdwxj0tjc8s326b0utmx7v 
       foreign key (kuh2_id2) 
       references ManyToMany2;

    alter table ManyToMany1_ManyToMany2 
       add constraint FK5k8rf6aal66stxgjlxp0rxoh0 
       foreign key (schwein2_id2) 
       references ManyToMany2;

    alter table ManyToMany1_ManyToMany2 
       add constraint FKkj1nfclwqnp9auly9wkw64dj 
       foreign key (ManyToMany1_id1) 
       references ManyToMany1;

    alter table ManyToMany1_ManyToMany2 
       add constraint FK916rkdqn42llkg1d6fndpii7i 
       foreign key (igel2_id2) 
       references ManyToMany2;

    alter table ManyToMany2 
       add constraint FK2alcqsjsnpiu1un8saeuxkutv 
       foreign key (kuh1_id1) 
       references ManyToMany1;

    alter table ManyToMany2 
       add constraint FKk3vdg6n2ihtmkcijpyjaa94du 
       foreign key (schwein1_id1) 
       references ManyToMany1;

    alter table ManyToMany2_ManyToMany1 
       add constraint FKnyjvwqvtw6uk2m4dwecvmyg3f 
       foreign key (igel1_id1) 
       references ManyToMany1;

    alter table ManyToMany2_ManyToMany1 
       add constraint FK75emh9lpsi5kxkwowgbwt63wd 
       foreign key (ManyToMany2_id2) 
       references ManyToMany2;

    alter table MapEntity_donau 
       add constraint FKlde3lnn7qkvbr86sr3ck4e5yh 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_Employee 
       add constraint FK27j4clyfi9nfd59n9kbsy4oyq 
       foreign key (mosel_empId) 
       references Employee;

    alter table MapEntity_Employee 
       add constraint FKax49qri2i2pig8l8e72e6xki0 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_Employee 
       add constraint FKs0vgqe22u9vmeratlbmnuwak5 
       foreign key (colorado_empId) 
       references Employee;

    alter table MapEntity_isar 
       add constraint FKd62l47liugkjrdg1g7x8j0mnx 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_oder 
       add constraint FK6ftsmjylu1fjkysqffpybhccn 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_rhein 
       add constraint FK1a6attlf89ah7hoem1wbmrrd2 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_ruhr 
       add constraint FKsf24u62lu9lr9asowkgr9s5cd 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_TopHorse 
       add constraint FKe5xuieyc8lsgphw4sl09vixfb 
       foreign key (nil_horseId) 
       references TopHorse;

    alter table MapEntity_TopHorse 
       add constraint FKfhqnbd0q04aaemhgojuhayx5d 
       foreign key (MapEntity_id) 
       references MapEntity;

    alter table MapEntity_WESER1 
       add constraint FKcwnd0w44apr61o2arrjd46yk2 
       foreign key (weser_id) 
       references MapEntity;

    alter table One_HundKatze 
       add constraint FK575odha9g0m61p5lj0xld4s50 
       foreign key (katze_id) 
       references OneToOne2;

    alter table One_HundKatze 
       add constraint FK7alo2s73hdb03bpov111m4r2k 
       foreign key (hund_id) 
       references OneToOne1;

    alter table OneToOne1 
       add constraint FK2ki001yosqvwa781rbmv67xtk 
       foreign key (hai) 
       references OneToOne2;

    alter table OneToOne1 
       add constraint FK83lk265lgtgclw0a5qul7sita 
       foreign key (id2xx) 
       references OneToOne2;

    alter table OneToOne1 
       add constraint FK2m2fuxgp5dclslmvf52s3fei8 
       foreign key (nr2_id) 
       references OneToOne2;

    alter table OneToOne1 
       add constraint FKtbyvvpaqvt43oprsaggvtnso0 
       foreign key (IndienTiger) 
       references OneToOne2;

    alter table Person_children 
       add constraint FKf03gkq2m9s34sfghekp55u3h0 
       foreign key (Person_ssn) 
       references Person;

    alter table Person_nickNames 
       add constraint FK73npijfpom0fc44htwuflp6du 
       foreign key (primKey) 
       references Person;

    alter table second 
       add constraint FKmvfmid1uaa7atrv16a8as6iwy 
       foreign key (x_id1, x_id2) 
       references MultiTableEntity;

    alter table Stall2 
       add constraint FK2j897en8e7upv1j56uxagv13e 
       foreign key (hahn_s1Id) 
       references Stall1;

    alter table SubMappedSuperClass 
       add constraint FKp7uh7p5lisa6msrg872iqma2 
       foreign key (publication_id) 
       references Publication;

    alter table SubMappedSuperClass3 
       add constraint FK5aenucn1farfapklek86j2s1e 
       foreign key (PUBL_ID) 
       references Publication;

    alter table third 
       add constraint FKmd7bbbyj61iso3s822k8pxcu5 
       foreign key (id1, id2) 
       references MultiTableEntity;

	CREATE VIEW BookView AS SELECT * FROM Book;
       
    CREATE VIEW Book2View AS SELECT * FROM Book2;

    alter table WP_SERVICECERTIFICATES 
       add constraint FKhpfst3c7jl48wgpc15l0b1riq 
       foreign key (publ_id) 
       references Publication;

    alter table WP_SERVICECERTIFICATES 
       add constraint FKjrc6ilatbbkdasd699x5dhb1q 
       foreign key (WP_ID) 
       references Person;


