package com.logitags.cibet.wow;

import java.util.Date;
import java.util.Map;
import java.util.Set;

import javax.persistence.CollectionTable;
import javax.persistence.Column;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToMany;
import javax.persistence.MapKey;
import javax.persistence.MapKeyClass;
import javax.persistence.MapKeyColumn;
import javax.persistence.MapKeyEnumerated;
import javax.persistence.MapKeyJoinColumn;
import javax.persistence.MapKeyTemporal;
import javax.persistence.OneToMany;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

@Entity
public class MapEntity {

	private String id;

	private Set<String> toRemove;

	private Map<String, Integer> rhein;

	private Map<String, Integer> weser;

	private Map<MapEnum, String> donau;

	private Map<MapEnum, String> isar;

	private Map oder;

	private Map ruhr;

	private Map<String, TopHorse> nil;

	private Map<Integer, Employee> wurm;

	private Map<Integer, Employee> mosel;

	private Map<TopHorse, Employee> po;

	private Map<Date, Employee> colorado;

	@Id
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	// plain
	@ElementCollection
	public Map<String, Integer> getRhein() {
		return rhein;
	}

	public void setRhein(Map<String, Integer> r) {
		rhein = r;
	}

	@Transient
	public Set<String> getToRemove() {
		return toRemove;
	}

	public void setToRemove(Set<String> toRemove) {
		this.toRemove = toRemove;
	}

	// @MapKeyColumn and @CollectionTable and @Column
	@ElementCollection
	@MapKeyColumn(name = "Wesertalsperre")
	@Column(name = "weserfluss")
	@CollectionTable(name = "MapEntity_WESER1", joinColumns = {
			@JoinColumn(name = "weser_id", referencedColumnName = "id") })
	public Map<String, Integer> getWeser() {
		return weser;
	}

	public void setWeser(Map<String, Integer> weser) {
		this.weser = weser;
	}

	// Enum as key
	@ElementCollection
	@MapKeyColumn(name = "Donautalsperre")
	public Map<MapEnum, String> getDonau() {
		return donau;
	}

	public void setDonau(Map<MapEnum, String> donau) {
		this.donau = donau;
	}

	// String Enum as key,
	@ElementCollection
	@MapKeyEnumerated(EnumType.STRING)
	public Map<MapEnum, String> getIsar() {
		return isar;
	}

	public void setIsar(Map<MapEnum, String> isar) {
		this.isar = isar;
	}

	// Embeddable as key + non-generics map
	@ElementCollection(targetClass = String.class)
	@MapKeyClass(Address.class)
	public Map getOder() {
		return oder;
	}

	public void setOder(Map oder) {
		this.oder = oder;
	}

	// Entity as key
	@ElementCollection(targetClass = String.class)
	@MapKeyClass(TopHorse.class)
	@MapKeyJoinColumn(name = "ruhrpott", referencedColumnName = "what")
	public Map getRuhr() {
		return ruhr;
	}

	public void setRuhr(Map ruhr) {
		this.ruhr = ruhr;
	}

	// join table
	@OneToMany
	@MapKey(name = "name")
	public Map<String, TopHorse> getNil() {
		return nil;
	}

	public void setNil(Map<String, TopHorse> nil) {
		this.nil = nil;
	}

	// no join table
	@OneToMany(mappedBy = "mapEntity")
	@MapKey // map key is primary key
	public Map<Integer, Employee> getWurm() {
		return wurm;
	}

	public void setWurm(Map<Integer, Employee> wurm) {
		this.wurm = wurm;
	}

	// join table
	@ManyToMany
	@MapKey(name = "number")
	public Map<Integer, Employee> getMosel() {
		return mosel;
	}

	public void setMosel(Map<Integer, Employee> mosel) {
		this.mosel = mosel;
	}

	@OneToMany(mappedBy = "mapEntity")
	@MapKeyJoinColumn(name = "popott", referencedColumnName = "what")
	public Map<TopHorse, Employee> getPo() {
		return po;
	}

	public void setPo(Map<TopHorse, Employee> po) {
		this.po = po;
	}

	@OneToMany
	@MapKeyTemporal(TemporalType.DATE)
	public Map<Date, Employee> getColorado() {
		return colorado;
	}

	public void setColorado(Map<Date, Employee> colorado) {
		this.colorado = colorado;
	}

}
